﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ClienteDeVotacaoWS_SOAP.ws {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(Namespace="http://ws.up.edu.br/", ConfigurationName="ws.UrnaWS")]
    public interface UrnaWS {
        
        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/getCandidatosClassificadosRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/getCandidatosClassificadosResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosResponse getCandidatosClassificados(ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/getCandidatosClassificadosRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/getCandidatosClassificadosResponse")]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosResponse> getCandidatosClassificadosAsync(ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest request);
        
        // CODEGEN: Parameter 'arg0' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/votarRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/votarResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        ClienteDeVotacaoWS_SOAP.ws.votarResponse votar(ClienteDeVotacaoWS_SOAP.ws.votarRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/votarRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/votarResponse")]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.votarResponse> votarAsync(ClienteDeVotacaoWS_SOAP.ws.votarRequest request);
        
        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/getCedulaRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/getCedulaResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        ClienteDeVotacaoWS_SOAP.ws.getCedulaResponse getCedula(ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/getCedulaRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/getCedulaResponse")]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCedulaResponse> getCedulaAsync(ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest request);
        
        // CODEGEN: Parameter 'return' requires additional schema information that cannot be captured using the parameter mode. The specific attribute is 'System.Xml.Serialization.XmlElementAttribute'.
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/getCandidatoRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/getCandidatoResponse")]
        [System.ServiceModel.XmlSerializerFormatAttribute(SupportFaults=true)]
        [return: System.ServiceModel.MessageParameterAttribute(Name="return")]
        ClienteDeVotacaoWS_SOAP.ws.getCandidatoResponse getCandidato(ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest request);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://ws.up.edu.br/UrnaWS/getCandidatoRequest", ReplyAction="http://ws.up.edu.br/UrnaWS/getCandidatoResponse")]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCandidatoResponse> getCandidatoAsync(ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest request);
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ws.up.edu.br/")]
    public partial class candidato : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string codigoField;
        
        private byte[] fotoField;
        
        private string nomeField;
        
        private int votosField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string codigo {
            get {
                return this.codigoField;
            }
            set {
                this.codigoField = value;
                this.RaisePropertyChanged("codigo");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, DataType="base64Binary", Order=1)]
        public byte[] foto {
            get {
                return this.fotoField;
            }
            set {
                this.fotoField = value;
                this.RaisePropertyChanged("foto");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=2)]
        public string nome {
            get {
                return this.nomeField;
            }
            set {
                this.nomeField = value;
                this.RaisePropertyChanged("nome");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=3)]
        public int votos {
            get {
                return this.votosField;
            }
            set {
                this.votosField = value;
                this.RaisePropertyChanged("votos");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ws.up.edu.br/")]
    public partial class eleitor : object, System.ComponentModel.INotifyPropertyChanged {
        
        private string nomeField;
        
        private string tituloField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public string nome {
            get {
                return this.nomeField;
            }
            set {
                this.nomeField = value;
                this.RaisePropertyChanged("nome");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public string titulo {
            get {
                return this.tituloField;
            }
            set {
                this.tituloField = value;
                this.RaisePropertyChanged("titulo");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    /// <remarks/>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Xml", "4.6.79.0")]
    [System.SerializableAttribute()]
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.ComponentModel.DesignerCategoryAttribute("code")]
    [System.Xml.Serialization.XmlTypeAttribute(Namespace="http://ws.up.edu.br/")]
    public partial class cedula : object, System.ComponentModel.INotifyPropertyChanged {
        
        private candidato candidatoField;
        
        private eleitor eleitorField;
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=0)]
        public candidato candidato {
            get {
                return this.candidatoField;
            }
            set {
                this.candidatoField = value;
                this.RaisePropertyChanged("candidato");
            }
        }
        
        /// <remarks/>
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified, Order=1)]
        public eleitor eleitor {
            get {
                return this.eleitorField;
            }
            set {
                this.eleitorField = value;
                this.RaisePropertyChanged("eleitor");
            }
        }
        
        public event System.ComponentModel.PropertyChangedEventHandler PropertyChanged;
        
        protected void RaisePropertyChanged(string propertyName) {
            System.ComponentModel.PropertyChangedEventHandler propertyChanged = this.PropertyChanged;
            if ((propertyChanged != null)) {
                propertyChanged(this, new System.ComponentModel.PropertyChangedEventArgs(propertyName));
            }
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCandidatosClassificados", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class getCandidatosClassificadosRequest {
        
        public getCandidatosClassificadosRequest() {
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCandidatosClassificadosResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class getCandidatosClassificadosResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute("return", Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ClienteDeVotacaoWS_SOAP.ws.candidato[] @return;
        
        public getCandidatosClassificadosResponse() {
        }
        
        public getCandidatosClassificadosResponse(ClienteDeVotacaoWS_SOAP.ws.candidato[] @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="votar", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class votarRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string arg0;
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=1)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string arg1;
        
        public votarRequest() {
        }
        
        public votarRequest(string arg0, string arg1) {
            this.arg0 = arg0;
            this.arg1 = arg1;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="votarResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class votarResponse {
        
        public votarResponse() {
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCedula", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class getCedulaRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string arg0;
        
        public getCedulaRequest() {
        }
        
        public getCedulaRequest(string arg0) {
            this.arg0 = arg0;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCedulaResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class getCedulaResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ClienteDeVotacaoWS_SOAP.ws.cedula @return;
        
        public getCedulaResponse() {
        }
        
        public getCedulaResponse(ClienteDeVotacaoWS_SOAP.ws.cedula @return) {
            this.@return = @return;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCandidato", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class getCandidatoRequest {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public string codigo;
        
        public getCandidatoRequest() {
        }
        
        public getCandidatoRequest(string codigo) {
            this.codigo = codigo;
        }
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
    [System.ServiceModel.MessageContractAttribute(WrapperName="getCandidatoResponse", WrapperNamespace="http://ws.up.edu.br/", IsWrapped=true)]
    public partial class getCandidatoResponse {
        
        [System.ServiceModel.MessageBodyMemberAttribute(Namespace="http://ws.up.edu.br/", Order=0)]
        [System.Xml.Serialization.XmlElementAttribute(Form=System.Xml.Schema.XmlSchemaForm.Unqualified)]
        public ClienteDeVotacaoWS_SOAP.ws.candidato @return;
        
        public getCandidatoResponse() {
        }
        
        public getCandidatoResponse(ClienteDeVotacaoWS_SOAP.ws.candidato @return) {
            this.@return = @return;
        }
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface UrnaWSChannel : ClienteDeVotacaoWS_SOAP.ws.UrnaWS, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class UrnaWSClient : System.ServiceModel.ClientBase<ClienteDeVotacaoWS_SOAP.ws.UrnaWS>, ClienteDeVotacaoWS_SOAP.ws.UrnaWS {
        
        public UrnaWSClient() {
        }
        
        public UrnaWSClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public UrnaWSClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public UrnaWSClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public UrnaWSClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosResponse ClienteDeVotacaoWS_SOAP.ws.UrnaWS.getCandidatosClassificados(ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest request) {
            return base.Channel.getCandidatosClassificados(request);
        }
        
        public ClienteDeVotacaoWS_SOAP.ws.candidato[] getCandidatosClassificados() {
            ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest();
            ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosResponse retVal = ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).getCandidatosClassificados(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosResponse> ClienteDeVotacaoWS_SOAP.ws.UrnaWS.getCandidatosClassificadosAsync(ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest request) {
            return base.Channel.getCandidatosClassificadosAsync(request);
        }
        
        public System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosResponse> getCandidatosClassificadosAsync() {
            ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.getCandidatosClassificadosRequest();
            return ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).getCandidatosClassificadosAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        ClienteDeVotacaoWS_SOAP.ws.votarResponse ClienteDeVotacaoWS_SOAP.ws.UrnaWS.votar(ClienteDeVotacaoWS_SOAP.ws.votarRequest request) {
            return base.Channel.votar(request);
        }
        
        public void votar(string arg0, string arg1) {
            ClienteDeVotacaoWS_SOAP.ws.votarRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.votarRequest();
            inValue.arg0 = arg0;
            inValue.arg1 = arg1;
            ClienteDeVotacaoWS_SOAP.ws.votarResponse retVal = ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).votar(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.votarResponse> ClienteDeVotacaoWS_SOAP.ws.UrnaWS.votarAsync(ClienteDeVotacaoWS_SOAP.ws.votarRequest request) {
            return base.Channel.votarAsync(request);
        }
        
        public System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.votarResponse> votarAsync(string arg0, string arg1) {
            ClienteDeVotacaoWS_SOAP.ws.votarRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.votarRequest();
            inValue.arg0 = arg0;
            inValue.arg1 = arg1;
            return ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).votarAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        ClienteDeVotacaoWS_SOAP.ws.getCedulaResponse ClienteDeVotacaoWS_SOAP.ws.UrnaWS.getCedula(ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest request) {
            return base.Channel.getCedula(request);
        }
        
        public ClienteDeVotacaoWS_SOAP.ws.cedula getCedula(string arg0) {
            ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest();
            inValue.arg0 = arg0;
            ClienteDeVotacaoWS_SOAP.ws.getCedulaResponse retVal = ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).getCedula(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCedulaResponse> ClienteDeVotacaoWS_SOAP.ws.UrnaWS.getCedulaAsync(ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest request) {
            return base.Channel.getCedulaAsync(request);
        }
        
        public System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCedulaResponse> getCedulaAsync(string arg0) {
            ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.getCedulaRequest();
            inValue.arg0 = arg0;
            return ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).getCedulaAsync(inValue);
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        ClienteDeVotacaoWS_SOAP.ws.getCandidatoResponse ClienteDeVotacaoWS_SOAP.ws.UrnaWS.getCandidato(ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest request) {
            return base.Channel.getCandidato(request);
        }
        
        public ClienteDeVotacaoWS_SOAP.ws.candidato getCandidato(string codigo) {
            ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest();
            inValue.codigo = codigo;
            ClienteDeVotacaoWS_SOAP.ws.getCandidatoResponse retVal = ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).getCandidato(inValue);
            return retVal.@return;
        }
        
        [System.ComponentModel.EditorBrowsableAttribute(System.ComponentModel.EditorBrowsableState.Advanced)]
        System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCandidatoResponse> ClienteDeVotacaoWS_SOAP.ws.UrnaWS.getCandidatoAsync(ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest request) {
            return base.Channel.getCandidatoAsync(request);
        }
        
        public System.Threading.Tasks.Task<ClienteDeVotacaoWS_SOAP.ws.getCandidatoResponse> getCandidatoAsync(string codigo) {
            ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest inValue = new ClienteDeVotacaoWS_SOAP.ws.getCandidatoRequest();
            inValue.codigo = codigo;
            return ((ClienteDeVotacaoWS_SOAP.ws.UrnaWS)(this)).getCandidatoAsync(inValue);
        }
    }
}
